/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import controlers.ControleApiario;
import javax.swing.JOptionPane;
import models.Apiario;

/**
 *
 * @author familia
 */
public class AdicionarApiarioJFrame extends javax.swing.JFrame {

    /**
     * Creates new form AdicionarPastoJFrame
     */
    public AdicionarApiarioJFrame() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        nomeApiario_lbl = new javax.swing.JLabel();
        nomeApiario_txt = new javax.swing.JTextField();
        qtdCaixas_lbl = new javax.swing.JLabel();
        qtdCaixas_txt = new javax.swing.JTextField();
        salvar_btn = new javax.swing.JButton();
        voltar_btn = new javax.swing.JButton();
        jMenuBar1 = new javax.swing.JMenuBar();
        navegar_menu = new javax.swing.JMenu();
        pagIni_nav_menu = new javax.swing.JMenuItem();
        sair_nav_menu = new javax.swing.JMenuItem();
        sobre_menu = new javax.swing.JMenu();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setMinimumSize(new java.awt.Dimension(802, 600));
        setResizable(false);

        jPanel1.setMaximumSize(new java.awt.Dimension(802, 600));
        jPanel1.setMinimumSize(new java.awt.Dimension(802, 600));
        jPanel1.setPreferredSize(new java.awt.Dimension(802, 600));

        nomeApiario_lbl.setText("Nome do apiário");

        qtdCaixas_lbl.setText("Quantidade de caixas");

        salvar_btn.setText("Salvar");
        salvar_btn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                salvar_btnActionPerformed(evt);
            }
        });

        voltar_btn.setText("< Voltar");
        voltar_btn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                voltar_btnActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(nomeApiario_lbl)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(nomeApiario_txt))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(voltar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, 109, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 591, Short.MAX_VALUE)
                        .addComponent(salvar_btn))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(qtdCaixas_lbl)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(qtdCaixas_txt, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(nomeApiario_lbl)
                    .addComponent(nomeApiario_txt, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(qtdCaixas_lbl)
                    .addComponent(qtdCaixas_txt, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 507, Short.MAX_VALUE)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(salvar_btn)
                    .addComponent(voltar_btn))
                .addContainerGap())
        );

        navegar_menu.setText("Navegar");

        pagIni_nav_menu.setText("Página Inicial");
        pagIni_nav_menu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pagIni_nav_menuActionPerformed(evt);
            }
        });
        navegar_menu.add(pagIni_nav_menu);

        sair_nav_menu.setText("Sair");
        sair_nav_menu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                sair_nav_menuActionPerformed(evt);
            }
        });
        navegar_menu.add(sair_nav_menu);

        jMenuBar1.add(navegar_menu);

        sobre_menu.setText("Sobre");
        jMenuBar1.add(sobre_menu);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void pagIni_nav_menuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pagIni_nav_menuActionPerformed
        // TODO add your handling code here:
        new HomeJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_pagIni_nav_menuActionPerformed

    private void salvar_btnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_salvar_btnActionPerformed
        // TODO add your handling code here:
        new ApiariosJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_salvar_btnActionPerformed

    private void voltar_btnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_voltar_btnActionPerformed
        // TODO add your handling code here:
        new ApiariosJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_voltar_btnActionPerformed

    private void sair_nav_menuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_sair_nav_menuActionPerformed
        // TODO add your handling code here:
        System.exit(0);
    }//GEN-LAST:event_sair_nav_menuActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(AdicionarApiarioJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(AdicionarApiarioJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(AdicionarApiarioJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(AdicionarApiarioJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new AdicionarApiarioJFrame().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JMenu navegar_menu;
    private javax.swing.JLabel nomeApiario_lbl;
    private javax.swing.JTextField nomeApiario_txt;
    private javax.swing.JMenuItem pagIni_nav_menu;
    private javax.swing.JLabel qtdCaixas_lbl;
    private javax.swing.JTextField qtdCaixas_txt;
    private javax.swing.JMenuItem sair_nav_menu;
    private javax.swing.JButton salvar_btn;
    private javax.swing.JMenu sobre_menu;
    private javax.swing.JButton voltar_btn;
    // End of variables declaration//GEN-END:variables
}
